<?php
/**
 * Copyright (c) WEB LOUPE. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Bootstrap;

/**
 * Class Installer
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de>
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Bootstrap
 * @version   1
 */
class Installer
{
    /**
     * @var Attributes
     */
    private $attributes;
    /**
     * @var Database
     */
    private $database;

    /**
     * Installer constructor.
     * @param Attributes $attributes
     * @param Database   $database
     */
    public function __construct(Attributes $attributes, Database $database) {
        $this->attributes = $attributes;
        $this->database = $database;
    }

    public function install()
    {
        $this->attributes->install();
        $this->database->install();
    }

    public function uninstall()
    {
        $this->attributes->uninstall();
        $this->database->uninstall();
    }
}
