<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Components\Consors\Request;

/**
 * Class AbstractRequest
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de>
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Components\Consors\Request
 * @version   1
 */
abstract class AbstractRequest
{
    /**
     * @var string $anfrageart
     */
    protected $anfrageart;

    /**
     * @var string $terminalclientaddress
     */
    protected $terminalclientaddress;

    /**
     * @var string $userreference
     */
    protected $userreference;

    /**
     * @var double $bestellwert
     */
    protected $bestellwert;

    /**
     * @var HeaderRequest $header
     */
    protected $header;

    public function __construct($params)
    {
        $this->setHeader(new HeaderRequest($params['config']));

        $this->setAnfrageart($params['anfrageart']);
        $this->setTerminalClientAddress($params['terminalclientaddress']);
        $this->setUserreference($params['userreference']);
        $this->setBestellwert($params['bestellwert']);
    }

    /**
     * @return string
     */
    public function getAnfrageart()
    {
        return $this->anfrageart;
    }

    /**
     * @param string $anfrageart
     */
    public function setAnfrageart(string $anfrageart)
    {
        $this->anfrageart = $anfrageart;
    }

    /**
     * @return mixed
     */
    public function getTerminalClientAddress()
    {
        return $this->terminalclientaddress;
    }

    /**
     * @param string $terminalclientaddress
     */
    public function setTerminalClientAddress(string $terminalclientaddress)
    {
        $this->terminalclientaddress = $terminalclientaddress;
    }

    /**
     * @return string
     */
    public function getUserreference()
    {
        return $this->userreference;
    }

    /**
     * @param string $userreference
     */
    public function setUserreference(string $userreference)
    {
        $this->userreference = $userreference;
    }

    /**
     * @return double
     */
    public function getBestellwert()
    {
        return $this->bestellwert;
    }

    /**
     * @param double $bestellwert
     */
    public function setBestellwert($bestellwert)
    {
        $this->bestellwert = $bestellwert;
    }

    /**
     * @return HeaderRequest
     */
    public function getHeader(): HeaderRequest
    {
        return $this->header;
    }

    /**
     * @param HeaderRequest $header
     */
    public function setHeader(HeaderRequest $header)
    {
        $this->header = $header;
    }
}