<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Components\Consors\Request;

/**
 * Class BankVerbindungRequest
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de> - www.webloupe.de
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Components\Consors\Request
 * @link      https://www.webloupe.de
 * @version   1
 */
class BankVerbindungRequest
{
    protected $institut;

    protected $kontonummer;

    protected $bankleitzahl;

    protected $iban;

    protected $bic;

    /** @var PersonRequest $kontoinhaber */
    protected $kontoinhaber;

    public function __construct($bankverbindungen)
    {
        $this->setInstitut($bankverbindungen['bankname']);
        $this->setIban($bankverbindungen['iban']);
        $this->setBic($bankverbindungen['bic']);
    }

    /**
     * @return mixed
     */
    public function getInstitut()
    {
        return $this->institut;
    }

    /**
     * @param mixed $institut
     * @return BankVerbindungRequest
     */
    public function setInstitut($institut)
    {
        $this->institut = $institut;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getKontonummer()
    {
        return $this->kontonummer;
    }

    /**
     * @param mixed $kontonummer
     */
    public function setKontonummer($kontonummer)
    {
        $this->kontonummer = $kontonummer;
    }

    /**
     * @return mixed
     */
    public function getBankleitzahl()
    {
        return $this->bankleitzahl;
    }

    /**
     * @param mixed $bankleitzahl
     */
    public function setBankleitzahl($bankleitzahl)
    {
        $this->bankleitzahl = $bankleitzahl;
    }

    /**
     * @return mixed
     */
    public function getIban()
    {
        return $this->iban;
    }

    /**
     * @param mixed $iban
     */
    public function setIban($iban)
    {
        $this->iban = $iban;
    }

    /**
     * @return mixed
     */
    public function getBic()
    {
        return $this->bic;
    }

    /**
     * @param mixed $bic
     */
    public function setBic($bic)
    {
        $this->bic = $bic;
    }

    /**
     * @return PersonRequest
     */
    public function getKontoinhaber(): PersonRequest
    {
        return $this->kontoinhaber;
    }

    /**
     * @param PersonRequest $kontoinhaber
     */
    public function setKontoinhaber(PersonRequest $kontoinhaber)
    {
        $this->kontoinhaber = $kontoinhaber;
    }
}