<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Components\Consors\Request;

/**
 * Class Change2Request
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de> - www.webloupe.de
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Components\Consors\Request
 * @link      https://www.webloupe.de
 * @version   1
 */
class Change2Request
{
    /**
     * @var ReferenzenRequest $referenzen
     */
    protected $referenzen;

    /**
     * @var string $changetyp
     */
    protected $changetyp;

    /** @var DebitorRequest $debitor */
    protected $debitor;

    /**
     * @var HeaderRequest $header
     */
    protected $header;

    /** @var BelegeRequest $belege */
    protected $belege;

    public function __construct($params)
    {
        $this->setChangetyp($params['changetyp']);
        $this->setHeader(new HeaderRequest($params['config']));
        $this->setReferenzen(new ReferenzenRequest($params['referenzen']));
        $this->setDebitor(new DebitorRequest($params['debitor']));
        $this->setBelege(new BelegeRequest($params['belege']));
    }

    /**
     * @return ReferenzenRequest
     */
    public function getReferenzen(): ReferenzenRequest
    {
        return $this->referenzen;
    }

    /**
     * @param ReferenzenRequest $referenzen
     */
    public function setReferenzen(ReferenzenRequest $referenzen): void
    {
        $this->referenzen = $referenzen;
    }

    /**
     * @return HeaderRequest
     */
    public function getHeader(): HeaderRequest
    {
        return $this->header;
    }

    /**
     * @param HeaderRequest $header
     */
    public function setHeader(HeaderRequest $header)
    {
        $this->header = $header;
    }

    /**
     * @return string
     */
    public function getChangetyp()
    {
        return $this->changetyp;
    }

    /**
     * @param string $changetyp
     */
    public function setChangetyp(string $changetyp)
    {
        $this->changetyp = $changetyp;
    }

    /**
     * @return DebitorRequest
     */
    public function getDebitor(): DebitorRequest
    {
        return $this->debitor;
    }

    /**
     * @param DebitorRequest $debitor
     */
    public function setDebitor(DebitorRequest $debitor)
    {
        $this->debitor = $debitor;
    }

    /**
     * @return BelegeRequest
     */
    public function getBelege(): BelegeRequest
    {
        return $this->belege;
    }

    /**
     * @param BelegeRequest $belege
     */
    public function setBelege(BelegeRequest $belege)
    {
        $this->belege = $belege;
    }

    function dumb($data){
        highlight_string("<?php\n " . var_export($data, true) . "?>");
        echo '<script>document.getElementsByTagName("code")[0].getElementsByTagName("span")[1].remove() ;document.getElementsByTagName("code")[0].getElementsByTagName("span")[document.getElementsByTagName("code")[0].getElementsByTagName("span").length - 1].remove() ; </script>';
        die();
    }
}