<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Components\Consors\Request;

/**
 * Class DebitorRequest
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de>
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Components\Consors\Request
 * @version   1
 */
class DebitorRequest
{
    /**
     * @var string $kundennummer
     */
    protected $kundennummer;

    /**
     * @var string $bezeichnung
     */
    protected $bezeichnung;

    /** @var PersonRequest $person */
    protected $person;

    /**
     * HeaderRequest constructor.
     * @param $config
     */
    public function __construct($config)
    {
        $this->setKundennummer($config['kundennummer']);
        $this->setBezeichnung($config['bezeichnung']);
        $this->setPerson(new PersonRequest($config['person']));
    }

    /**
     * @return string
     */
    public function getKundennummer()
    {
        return $this->kundennummer;
    }

    /**
     * @param string $kundennummer
     */
    public function setKundennummer(string $kundennummer)
    {
        $this->kundennummer = $kundennummer;
    }

    /**
     * @return string
     */
    public function getBezeichnung()
    {
        return $this->bezeichnung;
    }

    /**
     * @param string $bezeichnung
     */
    public function setBezeichnung(string $bezeichnung)
    {
        $this->bezeichnung = $bezeichnung;
    }

    /**
     * @return PersonRequest
     */
    public function getPerson(): PersonRequest
    {
        return $this->person;
    }

    /**
     * @param PersonRequest $person
     */
    public function setPerson(PersonRequest $person)
    {
        $this->person = $person;
    }
}