<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Components\Consors\Request;

/**
 * Class HeaderRequest
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de>
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Components\Consors\Request
 * @version   1
 */
class HeaderRequest
{
    /**
     * @var string $kennziffer
     */
    protected $kennziffer;

    /**
     * @var string $passwort
     */
    protected $passwort;

    /**
     * @var string $system
     */
    protected $system;

    /**
     * HeaderRequest constructor.
     * @param $config
     */
    public function __construct($config)
    {
//        $this->dumb($config);
        $this->setKennziffer($config['codeNumber']);
        $this->setPasswort($config['password']);
        $this->setSystem($config['mode']);
    }

    /**
     * @return string
     */
    public function getKennziffer()
    {
        return $this->kennziffer;
    }

    /**
     * @param string $kennziffer
     */
    public function setKennziffer(string $kennziffer)
    {
        $this->kennziffer = $kennziffer;
    }

    /**
     * @return string
     */
    public function getPasswort()
    {
        return $this->passwort;
    }

    /**
     * @param string $passwort
     */
    public function setPasswort(string $passwort)
    {
        $this->passwort = $passwort;
    }

    /**
     * @return string
     */
    public function getSystem()
    {
        return $this->system;
    }

    /**
     * @param string $system
     */
    public function setSystem(string $system)
    {
        $this->system = $system;
    }
    function dumb($data){
        highlight_string("<?php\n " . var_export($data, true) . "?>");
        echo '<script>document.getElementsByTagName("code")[0].getElementsByTagName("span")[1].remove() ;document.getElementsByTagName("code")[0].getElementsByTagName("span")[document.getElementsByTagName("code")[0].getElementsByTagName("span").length - 1].remove() ; </script>';
        die();
    }
}