<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Components\Consors\Request;

/**
 * Class MainAddressRequest
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de>
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Components\Consors\Request
 * @version   1
 */
class MainAddressRequest
{
    /**
     * @var AddressRequest $adresse
     */
    protected $adresse;

    /**
     * @var string $zusatz
     */
    protected $zusatz;

    /**
     * @return AddressRequest
     */
    public function getAdresse(): AddressRequest
    {
        return $this->adresse;
    }

    /**
     * @param AddressRequest $adresse
     */
    public function setAdresse(AddressRequest $adresse)
    {
        $this->adresse = $adresse;
    }

    /**
     * MainAddressRequest constructor.
     * @param $mainAddress
     */
    public function __construct($mainAddress)
    {
        $this->setAdresse(new AddressRequest($mainAddress['adresse']));
        if ($mainAddress['zusatz']) {
            $this->setZusatz($mainAddress['zusatz']);
        }
    }

    /**
     * @return string
     */
    public function getZusatz()
    {
        return $this->zusatz;
    }

    /**
     * @param string $zusatz
     */
    public function setZusatz(string $zusatz)
    {
        $this->zusatz = $zusatz;
    }
}