<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Components\Consors\Request;

/**
 * Class Order2Request
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de>
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Components\Consors\Request
 * @version   1
 */
class Order2Request extends AbstractRequest
{
    /**
     * @var ReferenzenRequest $referenzen
     */
    protected $referenzen;

    public function __construct($params)
    {
        parent::__construct($params);
        $this->setReferenzen(new ReferenzenRequest($params['referenzen']));
    }

    /**
     * @return ReferenzenRequest
     */
    public function getReferenzen(): ReferenzenRequest
    {
        return $this->referenzen;
    }

    /**
     * @param ReferenzenRequest $referenzen
     */
    public function setReferenzen(ReferenzenRequest $referenzen): void
    {
        $this->referenzen = $referenzen;
    }
}