<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Components\Consors\Request;

/**
 * Class OrderStornoRequest
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de> - www.webloupe.de
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Components\Consors\Request
 * @link      https://www.webloupe.de
 * @version   1
 */
class OrderStornoRequest
{
    /**
     * @var string $anfrageart
     */
    protected $anfrageart;

    /**
     * @var ReferenzenRequest $referenz
     */
    protected $referenz;

    /**
     * @var double $bestellwert
     */
    protected $bestellwert;

    /**
     * @var HeaderRequest $header
     */
    protected $header;

    public function __construct($params)
    {
        $this->setAnfrageart($params['anfrageart']);
        $this->setBestellwert($params['bestellwert']);
        $this->setHeader(new HeaderRequest($params['config']));
        $this->setReferenz(new ReferenzenRequest($params['referenzen']));
    }

    /**
     * @return string
     */
    public function getAnfrageart()
    {
        return $this->anfrageart;
    }

    /**
     * @param string $anfrageart
     */
    public function setAnfrageart(string $anfrageart)
    {
        $this->anfrageart = $anfrageart;
    }

    /**
     * @return double
     */
    public function getBestellwert()
    {
        return $this->bestellwert;
    }

    /**
     * @param double $bestellwert
     */
    public function setBestellwert($bestellwert)
    {
        $this->bestellwert = $bestellwert;
    }

    /**
     * @return ReferenzenRequest
     */
    public function getReferenz(): ReferenzenRequest
    {
        return $this->referenz;
    }

    /**
     * @param ReferenzenRequest $referenz
     */
    public function setReferenz(ReferenzenRequest $referenz): void
    {
        $this->referenz = $referenz;
    }

    /**
     * @return HeaderRequest
     */
    public function getHeader(): HeaderRequest
    {
        return $this->header;
    }

    /**
     * @param HeaderRequest $header
     */
    public function setHeader(HeaderRequest $header)
    {
        $this->header = $header;
    }
}