<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Components\Consors\Request;

/**
 * Class ReferenzenRequest
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de>
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Components\Consors\Request
 * @version   1
 */
class ReferenzenRequest
{
    /**
     * @var string $referenztyp
     */
    protected $referenztyp;

    /**
     * @var string $referenzwert
     */
    protected $referenzwert;

    /**
     * ReferenzenRequest constructor.
     * @param $params
     */
    public function __construct($params)
    {
        $this->referenztyp = $params['referenztyp'];
        $this->referenzwert = $params['referenzwert'];
    }

    /**
     * @return string
     */
    public function getReferenztyp()
    {
        return $this->referenztyp;
    }

    /**
     * @param string $referenztyp
     */
    public function setReferenztyp(string $referenztyp)
    {
        $this->referenztyp = $referenztyp;
    }

    /**
     * @return string
     */
    public function getReferenzwert()
    {
        return $this->referenzwert;
    }

    /**
     * @param string $referenzwert
     */
    public function setReferenzwert(string $referenzwert)
    {
        $this->referenzwert = $referenzwert;
    }
}