<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Components\Consors\Response;

/**
 * Class AbstractResponse
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de>
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Components\Consors\Response
 * @version   1
 */
class AbstractResponse
{

    /**
     * @var int $referenzid
     */
    protected $referenzid = null;

    /**
     * @var int $fehlergrund
     */
    protected $fehlergrund;

    /**
     * @var string $fehlertext
     */
    protected $fehlertext;

    /**
     * @return int
     */
    public function getReferenzid()
    {
        return $this->referenzid;
    }

    /**
     * @param int $referenzid
     */
    public function setReferenzid(int $referenzid)
    {
        $this->referenzid = $referenzid;
    }

    /**
     * @return int
     */
    public function getFehlergrund()
    {
        return $this->fehlergrund;
    }

    /**
     * @param int $fehlergrund
     */
    public function setFehlergrund(int $fehlergrund)
    {
        $this->fehlergrund = $fehlergrund;
    }

    /**
     * @return string
     */
    public function getFehlertext()
    {
        return $this->fehlertext;
    }

    /**
     * @param string $fehlertext
     */
    public function setFehlertext(string $fehlertext)
    {
        $this->fehlertext = $fehlertext;
    }
}