<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Components\Logger;

use Shopware\Components\Logger;
use WeloConsorsFinanz\Components\Configuration;

/**
 * Class LoggerService
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de>
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Components\Logger
 * @version   1
 */
class LoggerService implements LoggerServiceInterface
{
    /**
     * @var Logger
     */
    private $logger;
    /**
     * @var Configuration
     */
    private $configuration;

    /**
     * LoggerService constructor.
     * @param Logger        $baseLogger
     * @param Configuration $configuration
     */
    public function __construct(Logger $baseLogger, Configuration $configuration)
    {
        $this->logger = $baseLogger;
        $this->configuration = $configuration;
    }

    /**
     * {@inheritdoc}
     */
    public function warning($message, array $context = [])
    {
//        if (!$this->configuration->isActive()) {
//            return;
//        }

        $finalMessage = 'Consors Finanz: ' . $message;
        $this->logger->warning($finalMessage, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function notify($message, array $context = [])
    {
//        if (!$this->configuration->isActive()) {
//            return;
//        }

        $finalMessage = 'Consors Finanz: ' . $message;
        $this->logger->notice($finalMessage, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function error($message, array $context = [])
    {
        $finalMessage = 'Consors Finanz: ' . $message;
        $this->logger->error($finalMessage, $context);
    }
}
