<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Components\Logger;

/**
 * Interface LoggerServiceInterface
 * @package WeloConsorsFinanz\Components\Logger
 */
interface LoggerServiceInterface
{
    /**
     * Adds a notification to the logfile.
     *
     * @param string $message
     * @param array  $context
     */
    public function notify($message, array $context = []);

    /**
     * Adds a warning to the logfile.
     *
     * @param string $message
     * @param array  $context
     */
    public function warning($message, array $context = []);

    /**
     * Adds an error to the logfile.
     *
     * @param string $message
     * @param array  $context
     */
    public function error($message, array $context = []);
}
