<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Components\Consors\Services;


/**
 * Class Helper
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de> - www.webloupe.de
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Components\Consors\Services
 * @link      https://www.webloupe.de
 * @version   1
 */
class Helper
{
    private $listOfChars = [
        'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'J', 'K', 'L', 'M',
        'N', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z',
        'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l',
        'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x',
        'y', 'z', '1', '2', '3', '4', '5', '6', '7', '8', '9'
    ];

    /**
     * Returns a 'unique' md5 hash
     *
     * @return string md5 hash
     */
    public function getHash()
    {
        return md5(uniqid('', true));
    }

    /**
     * This method generates a random string. The $length indicates
     * the length of the resulting string. The $charsToExclude indicates
     * which of the elements are not used. By default 'l', 'i' and '1' are
     * not used.
     *
     * @param integer $length
     * @param string $charsToExclude
     * @return string Random string
     */
    private function getRandomString($length, $charsToExclude = 'li1' ) {
        $characters = array();
        foreach ($this->listOfChars as $char) {
            if (!strstr($charsToExclude, $char)) {
                $characters[] = $char;
            }
        }

        $numberOfCharacters = count($characters);
        $code = '';
        for ($c = 0; $c < $length; $c++) {
            $randIndex = mt_rand(0, $numberOfCharacters-1);
            $code .= $characters[$randIndex];
        }

        return $code;
    }
}