//{namespace name="backend/order/main"}
//{block name="backend/order/view/detail/debit" append}
Ext.define('Shopware.apps.Order.view.detail.ConsorsFinanz', {
    override: 'Shopware.apps.Order.view.detail.Debit',

    initComponent: function () {
        var me = this;

        me.callParent(arguments);

        if (Ext.isEmpty(me.record.getPayment().first())) {
            return;
        }

        if (me.record.getPayment().first().get('name') === 'WeloConsorsFinanzDebit') {
            me.fieldContainer.show();
            me.ibanField.show();
            // me.accountHolderField.show();
            me.bicField.show();
        }
    },

    createLeftElements: function () {
        var me = this;

        me.ibanField = Ext.create('Ext.form.field.Text', {
            name: 'paymentInstances[iban]',
            alias: 'iban',
            readOnly: true,
            anchor: '95%',
            labelStyle: 'font-weight: 700;',
            style: {
                margin: '0 0 10px'
            },
            labelWidth: 120,
            minWidth: 250,
            fieldLabel: 'IBAN'
        });
        return [me.ibanField];
    },

    createRightElements: function () {
        var me = this;
        me.bicField = Ext.create('Ext.form.field.Text', {
            name: 'paymentInstances[bic]',
            alias: 'bic',
            readOnly: true,
            anchor: '95%',
            labelStyle: 'font-weight: 700;',
            style: {
                margin: '0 0 10px'
            },
            labelWidth: 120,
            minWidth: 250,
            fieldLabel: 'BIC'
        });
        return [ me.bicField];
    }
});
//{/block}


