<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Subscriber;

use Enlight\Event\SubscriberInterface;
use Enlight_Event_EventArgs;

/**
 * Class PaymentClass
 *
 * @author    Cyprien Nkeneng <cyprien.nkeneng@webloupe.de> - www.webloupe.de
 * @copyright Copyright (c) 2017-2020 WEB LOUPE
 * @package   WeloConsorsFinanz\Subscriber
 * @link      https://www.webloupe.de
 * @version   1
 */
class PaymentClass implements SubscriberInterface
{
    /**
     * @var string
     */
    private $pluginDir;

    /**
     * PaymentClass constructor.
     * @param $pluginDir
     */
    public function __construct($pluginDir)
    {
        $this->pluginDir = $pluginDir;
    }

    public static function getSubscribedEvents()
    {
        return [
            'Shopware_Modules_Admin_InitiatePaymentClass_AddClass' => ['addPaymentClass']
        ];
    }

    /**
     * This method registers shopware's generic payment method handler
     * and the debit payment method handler
     *
     * @param Enlight_Event_EventArgs $args
     *
     * @return array
     */
    public function addPaymentClass(\Enlight_Event_EventArgs $args)
    {
        $dirs = $args->getReturn();
        $dirs['ConsorsFinanzInvoice'] = 'WeloConsorsFinanz\\Components\\PaymentMethods\\Invoice';
        $dirs['ConsorsFinanzDebit'] = 'WeloConsorsFinanz\\Components\\PaymentMethods\\Debit';
        $args->setReturn($dirs);
    }
}