<?php
/**
 * Copyright (c) Web Loupe. All rights reserved.
 * This file is part of software that is released under a proprietary license.
 * You must not copy, modify, distribute, make publicly available, or execute
 * its contents or parts thereof without express permission by the copyright
 * holder, unless otherwise permitted by law.
 */

namespace WeloConsorsFinanz\Subscriber;

use Enlight\Event\SubscriberInterface;
use Enlight_Template_Manager;

/**
 * Class Template
 *
 * @author    Cyprien Nkeneng <shopware@webloupe.de>
 * @copyright Copyright (c) 2017-2020 Web Loupe
 * @package   WeloConsorsFinanz\Subscriber
 * @version   1
 */
class Template implements SubscriberInterface
{
    /**
     * @var Enlight_Template_Manager
     */
    private $templateManager;
    
    /**
     * @var string
     */
    private $pluginDir;
    
    /**
     * @param                          $pluginDir
     * @param Enlight_Template_Manager $templateManager
     */
    public function __construct($pluginDir, Enlight_Template_Manager $templateManager)
    {
        $this->templateManager = $templateManager;
        $this->pluginDir = $pluginDir;
    }
    
    /**
     * {@inheritdoc}
     */
    public static function getSubscribedEvents()
    {
        return [
            'Enlight_Controller_Action_PreDispatch' => 'onPreDispatch',
        ];
    }
    
    public function onPreDispatch()
    {
        $this->templateManager->addTemplateDir($this->pluginDir . '/Resources/views');
    }
}
