<?php

namespace MilleConsorsFinanz\Models\Financing;

use DateTime;
use Doctrine\ORM\Query;
use Doctrine\ORM\QueryBuilder;
use Shopware\Components\Model\ModelRepository;

class Repository extends ModelRepository
{
    /**
     * @param int $status
     * @param DateTime $maxTime
     *
     * @return Query
     */
    public function getStatusAndMaxTimeQuery(int $status, DateTime $maxTime): Query
    {
        $builder = $this->getStatusAndMaxTimeQueryBuilder($status, $maxTime);

        return $builder->getQuery();
    }

    /**
     * @param int $status
     * @param DateTime $maxTime
     *
     * @return QueryBuilder
     */
    public function getStatusAndMaxTimeQueryBuilder(int $status, DateTime $maxTime): QueryBuilder
    {
        $builder = $this->getEntityManager()->createQueryBuilder();

        return $builder->select('financing')
                       ->from(Financing::class, 'financing')
                       ->where('financing.status = :status OR financing.status IS NULL')
                       ->andWhere('financing.createdTime < :maxTime')
                       ->setParameter('status', $status)
                       ->setParameter('maxTime', $maxTime, 'datetime');
    }
}
