<?php

namespace MilleConsorsFinanz\Models\Settings;

use Doctrine\ORM\Mapping as ORM;
use Shopware\Components\Model\ModelEntity;

/**
 * @ORM\Entity(repositoryClass="Repository")
 * @ORM\Table(name="mille_consors_finanz_settings")
 */
class Settings extends ModelEntity
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     * @ORM\Column(name="country_iso", type="string")
     */
    private $countryIso;

    /**
     * @var string
     * @ORM\Column(name="username", type="string", nullable=true)
     */
    private $username;

    /**
     * @var string
     * @ORM\Column(name="client_id", type="string", nullable=true)
     */
    private $clientId;

    /**
     * @var string
     * @ORM\Column(name="vendor_id", type="string", nullable=true)
     */
    private $vendorId;

    /**
     * @var string
     * @ORM\Column(name="vendor_password", type="string", nullable=true)
     */
    private $vendorPassword;

    /**
     * @var string
     * @ORM\Column(name="hash_key", type="string", nullable=true)
     */
    private $hashKey;

    /**
     * @var string
     * @ORM\Column(name="shop_name", type="string", nullable=true)
     */
    private $shopName;

    /**
     * @var string
     * @ORM\Column(name="shop_logo", type="string", nullable=true)
     */
    private $shopLogo;

    /**
     * @var string
     * @ORM\Column(name="durations", type="string", nullable=true)
     */
    private $durations;

    /**
     * @var int
     * @ORM\Column(name="default_duration", type="integer", nullable=true)
     */
    private $defaultDuration;

    /**
     * @var string
     * @ORM\Column(name="interest_rates", type="string", nullable=true)
     */
    private $interestRates;

    /**
     * @var int
     * @ORM\Column(name="campaign_id", type="integer", nullable=true)
     */
    private $campaignId;

    /**
     * @var int
     * @ORM\Column(name="campaign_duration", type="integer", nullable=true)
     */
    private $campaignDuration;

    /**
     * @var int
     * @ORM\Column(name="campaign_category_id", type="integer", nullable=true)
     */
    private $campaignCategoryId;

    /**
     * @var int
     * @ORM\Column(name="min_amount", type="integer", nullable=true)
     */
    private $minAmount;

    /**
     * @var string
     * @ORM\Column(name="financing_example_mode", type="string", nullable=true)
     */
    private $financingExampleMode;

    /**
     * @var bool
     * @ORM\Column(name="create_order_before_payment", type="boolean", nullable=true)
     */
    private $createOrderBeforePayment;

    /**
     * @var bool
     * @ORM\Column(name="live_mode", type="boolean", nullable=true)
     */
    private $liveMode;

    /**
     * @var bool
     * @ORM\Column(name="logging", type="boolean", nullable=true)
     */
    private $logging;

    /**
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getCountryIso()
    {
        return $this->countryIso;
    }

    /**
     * @param string $countryIso
     */
    public function setCountryIso(string $countryIso)
    {
        $this->countryIso = $countryIso;
    }

    /**
     * @return string
     */
    public function getUsername()
    {
        return $this->username;
    }

    /**
     * @param string $username
     */
    public function setUsername(string $username)
    {
        $this->username = $username;
    }

    /**
     * @return string
     */
    public function getClientId()
    {
        return $this->clientId;
    }

    /**
     * @param string $clientId
     */
    public function setClientId(string $clientId)
    {
        $this->clientId = $clientId;
    }

    /**
     * @return string
     */
    public function getVendorId()
    {
        return $this->vendorId;
    }

    /**
     * @param string $vendorId
     */
    public function setVendorId(string $vendorId)
    {
        $this->vendorId = $vendorId;
    }

    /**
     * @return string
     */
    public function getVendorPassword()
    {
        return $this->vendorPassword;
    }

    /**
     * @param string $vendorPassword
     */
    public function setVendorPassword(string $vendorPassword)
    {
        $this->vendorPassword = $vendorPassword;
    }

    /**
     * @return string
     */
    public function getHashKey()
    {
        return $this->hashKey;
    }

    /**
     * @param string $hashKey
     */
    public function setHashKey(string $hashKey)
    {
        $this->hashKey = $hashKey;
    }

    /**
     * @return string
     */
    public function getShopName()
    {
        return $this->shopName;
    }

    /**
     * @param string $shopName
     */
    public function setShopName(string $shopName)
    {
        $this->shopName = $shopName;
    }

    /**
     * @return string
     */
    public function getShopLogo()
    {
        return $this->shopLogo;
    }

    /**
     * @param string $shopLogo
     */
    public function setShopLogo(string $shopLogo)
    {
        $this->shopLogo = $shopLogo;
    }

    /**
     * @return string
     */
    public function getDurations()
    {
        return $this->durations;
    }

    /**
     * @param string $durations
     */
    public function setDurations(string $durations)
    {
        $this->durations = $durations;
    }

    /**
     * @return int
     */
    public function getDefaultDuration()
    {
        return $this->defaultDuration;
    }

    /**
     * @param int $defaultDuration
     */
    public function setDefaultDuration(int $defaultDuration)
    {
        $this->defaultDuration = $defaultDuration;
    }

    /**
     * @return string
     */
    public function getInterestRates()
    {
        return $this->interestRates;
    }

    /**
     * @param string $interestRates
     */
    public function setInterestRates(string $interestRates)
    {
        $this->interestRates = $interestRates;
    }

    /**
     * @return int
     */
    public function getCampaignId()
    {
        return $this->campaignId;
    }

    /**
     * @param int $campaignId
     */
    public function setCampaignId(int $campaignId)
    {
        $this->campaignId = $campaignId;
    }

    /**
     * @return int
     */
    public function getCampaignDuration()
    {
        return $this->campaignDuration;
    }

    /**
     * @param int $campaignDuration
     */
    public function setCampaignDuration(int $campaignDuration)
    {
        $this->campaignDuration = $campaignDuration;
    }

    /**
     * @return int
     */
    public function getCampaignCategoryId()
    {
        return $this->campaignCategoryId;
    }

    /**
     * @param int $campaignCategoryId
     */
    public function setCampaignCategoryId(int $campaignCategoryId)
    {
        $this->campaignCategoryId = $campaignCategoryId;
    }

    /**
     * @return int
     */
    public function getMinAmount()
    {
        return $this->minAmount;
    }

    /**
     * @param int $minAmount
     */
    public function setMinAmount(int $minAmount)
    {
        $this->minAmount = $minAmount;
    }

    /**
     * @return string|null
     */
    public function getFinancingExampleMode()
    {
        return $this->financingExampleMode;
    }

    /**
     * @param string $financingExampleMode
     */
    public function setFinancingExampleMode(string $financingExampleMode)
    {
        $this->financingExampleMode = $financingExampleMode;
    }

    /**
     * @return bool
     */
    public function isCreateOrderBeforePayment()
    {
        return $this->createOrderBeforePayment;
    }

    /**
     * @param bool $createOrderBeforePayment
     */
    public function setCreateOrderBeforePayment(bool $createOrderBeforePayment)
    {
        $this->createOrderBeforePayment = $createOrderBeforePayment;
    }

    /**
     * @return bool
     */
    public function isLiveMode()
    {
        return $this->liveMode;
    }

    /**
     * @param bool $liveMode
     */
    public function setLiveMode(bool $liveMode)
    {
        $this->liveMode = $liveMode;
    }

    /**
     * @return bool
     */
    public function isLogging()
    {
        return $this->logging;
    }

    /**
     * @param bool $logging
     */
    public function setLogging(bool $logging)
    {
        $this->logging = $logging;
    }

    /**
     * @return array
     */
    public function toArray(): array
    {
        return get_object_vars($this);
    }

    /**
     * @param array $data
     */
    public function setDataFromArray(array $data)
    {
        foreach ($data as $property => $value) {
            if (empty($value)) {
                $value = null;
            } elseif ($value == 'on') {
                $value = 1;
            }
            $this->$property = $value;
        }

        if (!isset($data['createOrderBeforePayment'])) {
            $this->setCreateOrderBeforePayment(false);
        }
        if (!isset($data['liveMode'])) {
            $this->setLiveMode(false);
        }
        if (!isset($data['logging'])) {
            $this->setLogging(false);
        }
    }
}
