// {block name="backend/mille_consors_finanz_settings/toolbar"}
Ext.define('Shopware.apps.MilleConsorsFinanzSettings.view.Toolbar', {
    extend: 'Ext.toolbar.Toolbar',
    alias: 'widget.mille-consors-finanz-settings-toolbar',
    ui: 'shopware-ui',
    padding: '10 0 5',
    width: '100%',
    dock: 'bottom',

    initComponent: function () {
        var me = this;

        me.items = me.createItems();
        me.registerEvents();

        me.callParent(arguments);
    },

    registerEvents: function () {
        var me = this;

        me.addEvents(
            'saveSettings'
        );
    },

    createItems: function () {
        var me = this,
            items = [];

        items.push('->');
        items.push(me.createSaveButton());

        return items;
    },

    createSaveButton: function () {
        var me = this;

        return Ext.create('Shopware.apps.Base.view.element.Button', {
            text: 'Speichern',
            cls: 'primary',
            handler: Ext.bind(me.onSaveButtonClick, me)
        });
    },

    onSaveButtonClick: function () {
        var me = this;

        me.fireEvent('saveSettings');
    }
});
// {/block}
