// {block name="backend/mille_consors_finanz_settings/window"}
Ext.define('Shopware.apps.MilleConsorsFinanzSettings.view.Window', {
    extend: 'Enlight.app.Window',
    alias: 'widget.mille-consors-finanz-settings-window',
    title: 'Consors Finanz - Einstellungen',
    height: '80%',
    width: 600,
    layout: 'anchor',
    autoScroll: true,

    tabContainer: null,
    toolbar: null,
    tabDE: null,
    tabAT: null,

    initComponent: function() {
        var me = this;

        me.dockedItems = [me.createToolbar()];
        me.items = me.createItems();

        me.callParent(arguments);

        me.setBodyStyle({
            background: '#ebedef'
        });
    },

    createItems: function() {
        var me = this;

        me.tabDE = Ext.create('Shopware.apps.MilleConsorsFinanzSettings.view.tabs.Settings', {
            title: 'Deutschland'
        });

        me.tabAT = Ext.create('Shopware.apps.MilleConsorsFinanzSettings.view.tabs.Settings', {
            title: 'Österreich'
        });

        me.tabContainer = Ext.create('Ext.tab.Panel', {
            border: false,

            items: [
                me.tabDE,
                me.tabAT
            ]
        });

        return [me.tabContainer];
    },

    createToolbar: function() {
        var me = this;

        me.toolbar = Ext.create('Shopware.apps.MilleConsorsFinanzSettings.view.Toolbar');

        return me.toolbar;
    }
});
// {/block}
