{namespace name="mille_consors_finanz/frontend/detail"}

{* Offcanvas buttons *}
{block name='mille_consors_finanz_frontend_detail_financing_buttons_offcanvas'}
    <div class="buttons--off-canvas">
        {block name='mille_consors_finanz_frontend_detail_financing_buttons_offcanvas_inner'}
            <a href="#" title="{"{s name="MilleConsorsFinanzOffcanvasCloseMenu"}Menü schließen{/s}"|escape}" class="close--off-canvas">
                <i class="icon--arrow-left"></i>
                {s name="MilleConsorsFinanzOffcanvasCloseMenu"}{/s}
            </a>
        {/block}
    </div>
{/block}

{block name="mille_consors_finanz_frontend_detail_financing"}
    <div class="content--financing">

        {* Headline *}
        {block name='mille_consors_finanz_frontend_detail_financing_title'}
            <div class="content--title">
                {s name="MilleConsorsFinanzDetailFinancingTitle"}Finanzierung{/s}
            </div>
        {/block}

        {* Description *}
        {block name='mille_consors_finanz_frontend_detail_financing_description'}
            <div class="financing--description">
                {block name='mille_consors_finanz_frontend_detail_financing_description_short'}
                    <p class="description--short">
                        {s name="MilleConsorsFinanzDetailFinancingShortDescription"}Bezahlen Sie schnell und unkompliziert in kleinen Monatsraten. Einfach Artikel auswählen, zur Kasse gehen und die Zahlungsart "Finanzierung" auswählen. Die Vermittlung erfolgt ausschließlich für den Kreditgeber BNP Paribas S.A. Niederlassung Deutschland, Standort München: Schwanthalerstr. 31, 80336 München.{/s}
                    </p>
                    <p>
                        <a class="description--link-to-long-description" href="#" title="{s name="MilleConsorsFinanzDetailFinancingShowDescriptionLink"}weitere Infos zur Finanzierung{/s}">{s name="MilleConsorsFinanzDetailFinancingShowDescriptionLink"}{/s}</a>
                    </p>
                {/block}

                {block name='mille_consors_finanz_frontend_detail_financing_description_long'}
                    <div class="description--long">
                        {s name="MilleConsorsFinanzDetailFinancingLongDescription"}
                            <h4>Finanzierungsprozess</h4>
                            <p>Sie haben zwei Möglichkeiten, die Legitimation und Unterschrift vorzunehmen:<br>
                                Komplett online (mit sofortigem Warenversand) oder schriftlich und über eine Postfiliale (Warenversand nach Eingang der Unterlagen).</p>
                            <p><u>So funktioniert's:</u></p>
                            <ol>
                                <li><strong>Finanzierung online beantragen:</strong> Füllen Sie online das Antragsformular aus.</li>
                                <li><strong>Legitimation:</strong><br>
                                    Möglichkeit 1:Lassen Sie Ihre Identität bequem online per Videotelefonie bestätigen.<br>
                                    Möglichkeit 2: Lassen Sie Ihre Identität in der nächsten Postfiliale per Postident bestätigen.</li>
                                <li><strong>Vertrag unterschreiben:</strong><br>
                                    Möglichkeit 1: Unterschreiben Sie den Kreditvertrag online per mTAN (SMS).<br>
                                    Möglichkeit 2: Drucken Sie den Kreditvertrag aus, unterschreiben handschriftlich und senden ihn per Post ein.</li>
                                <li><strong>Auf die Lieferung freuen:</strong> Ihre bestellte Ware liefern wir unverzüglich an Sie aus, sobald Ihr Finanzierungsantrag bei unserer Partnerbank eingegangen ist (vorbehaltlich einer abschließenden positiven Prüfung nach Eingang Ihres Antrags). Haben Sie den Antrag online eingereicht, kann die Ware sofort versendet werden.</li>
                            </ol>

                            <h4>Einzureichende Unterlagen</h4>
                            <p><u>Folgende Unterlagen benötigt die Bank:</u></p>
                            <ul class="list--unordered">
                                <li>Unterschriebener Kreditvertrag (elektronisch oder per Post)</li>
                                <li>Letzter Gehaltsnachweis / bei Selbständigen die letzte BWA (bei einer Finanzierungssumme ab 4.000 €; in Einzelfällen auch unter einer Finanzierunssumme von 4.000 €)</li>
                                <li>Eine Kopie der Aufenthaltserlaubnis bei Staatsangehörigen von Ländern außerhalb der EU</li>
                                <li>Studenten: Kopie eines gültigen Studentenausweises bzw. Immatrikulationsbescheinigung für das laufende Semester und Kopie der ec-/Maestro- oder Kreditkarte</li>
                                <li>Auszubildende: Kopie einer aktuellen Gehaltsabrechnung und Kopie der ec-/Maestro- oder Kreditkarte</li>
                            </ul>

                            <h4>Voraussetzungen für eine Finanzierung</h4>
                            <p><u>Folgende Voraussetzungen hinsichtlich Beschäftigung / Einkommen müssen erfüllt sein:</u></p>
                            <ul class="list--unordered">
                                <li>Sie sind mindestens 18 Jahre alt</li>
                                <li>Die Finanzierungssumme liegt zwischen 100 € und 15.000 €<br>
                                    <i>(Hinweis: Theoretisch ist eine Finanzierung bereits ab 54 € möglich. In diesem Fall müssen bei Ihnen 6 Monate Lauzeit auswählbar sein.)</i></li>
                                <li>Sie sind Angestellter und arbeiten bei Ihrem derzeitigen Arbeitgeber seit mind. 3 Monaten.</li>
                                <li>Ihr Arbeitsverhältnis ist für die nächsten 12 Monate unbefristet / oder Sie sind Rentner mit einer unbefristet gewährten Rente / oder Sie sind seit mindestens zwölf Monaten selbständig</li>
                                <li>Sie haben ein regelmäßiges Einkommen von mind. 650 € netto</li>
                                <li>Sie haben keinen negativen Schufa-Eintrag</li>
                            </ul>

                            <h4>Legitimation</h4>
                            <p>Wie alle Banken ist auch Consors Finanz gesetzlich dazu verpflichtet, eine Legitimationsprüfung durchzuführen. Dabei wird die Identität aller neuen Kunden vor einer Kreditvergabe überprüft. Diese Prüfung dient auch Ihrer eigenen Sicherheit. Sie haben die Wahl, ob Sie die Legitimation <strong>online per Videotelefonie</strong> (mit PC, Tablet oder Smartphone) oder in der nächsten Filiale der Deutschen Post <strong>per PostIdent</strong> durchführen möchten. Auch die Vertragsunterschrift kann entweder online <strong>mit elektronischer Unterschrift</strong> erfolgen oder Sie <strong>unterschreiben handschriftlich und die Deutsche Post sendet den Vertrag per Post</strong> an uns. Bitte beachten Sie, dass das Einsenden des Vertrags per Post einige Tage zusätzlich benötigt.</p>

                            <h4>Finanzierungsabschluss mit PostIdent</h4>
                            <p><u>Legitimation mit PostIdent – So funktionierts:</u></p>
                            <ul class="list--unordered">
                                <li><strong>Entscheiden Sie sich für die Zahlart "Finanzierung":</strong> Nachdem Sie Ihre Ware in den Warenkorb gelegt haben, können Sie sich beim Gang zur Kasse für eine Finanzierung entscheiden. Sie durchlaufen den kurzen Online-Antragsprozess von Consors Finanz. Entscheiden Sie sich nach der vorläufigen Kreditgenehmigung dafür, den Vertrag auszudrucken und zur Post zu bringen.</li>
                                <li><strong>Legitimieren Sie sich bei einer Postfiliale:</strong> Drucken Sie Ihren Antrag aus und lesen sich Ihre Unterlagen in Ruhe durch. Unterschreiben Sie den Vertrag an den vorgesehenen Stellen und legen Sie die von der Bank geforderten Unterlagen bei. Verschließen Sie die Unterlagen in einem Umschlag und bringen Sie diesen mit dem Postident-Formular zur nächsten Postfiliale. Ein Mitarbeiter der Post bestätigt Ihre Identität anhand Ihres gültigen Personalausweises oder Reisepasses.</li>
                                <li><strong>Freuen Sie sich auf die Lieferung:</strong> Nach Eingang des Finanzierungsantrags bei Consors Finanz liefern wir die von Ihnen bestellte Ware unverzüglich an Sie aus (vorbehaltlich einer abschließenden positiven Prüfung nach Eingang Ihrer Unterlagen).</li>
                            </ul>

                            <h4>Volldigitaler Finanzierungsabschluss</h4>
                            <p><u>Volldigitaler Finanzierungsabschluss – So funktionierts:</u></p>
                            <ul class="list--unordered">
                                <li><strong>Entscheiden Sie sich für die Zahlart "Finanzierung":</strong> Nachdem Sie Ihre Ware in den Warenkorb gelegt haben, können Sie sich beim Gang zur Kasse für eine Finanzierung entscheiden. Sie durchlaufen den kurzen Online-Antragsprozess von Consors Finanz. Entscheiden Sie sich nach der vorläufigen Finanzierungsbewilligung für die Option "Jetzt online abschließen", um den Antrag digital abzuschließen.</li>
                                <li><strong>Online-Identifikation:</strong> Ihre Identifikation erfolgt ganz bequem mit einem Videotelefonat – einfach und direkt über Ihren Browser oder per App. Mitarbeiter führen Sie Schritt für Schritt durch den Prozess.</li>
                                <li><strong>Digitale Signatur:</strong> Im Anschluss an die Online-Identifikation erhalten Sie eine mTAN per SMS, die Sie zur Bestätigung in das dafür vorgesehen Feld eintragen. Damit wird der Vertrag rechtskräftig online unterschrieben und abgeschlossen.</li>
                                <li><strong>Digitaler Kontoblick:</strong> Dieser ersetzt das Einreichen von Kontoauszügen und Gehaltsnachweisen in Papierform. Die Kreditentscheidung und Prüfung Ihrer Angaben erfolgt mit einem einmaligen Blick auf Ihr (Gehalts-) Girokonto. So weisen Sie Ihr regelmäßiges Einkommen nach. Der Kontoblick ermöglicht uns die Auswertung der gelieferten Umsatzdaten, um eine Kreditentscheidung treffen zu können.</li>
                                <li><strong>Freuen Sie sich auf die baldige Lieferung:</strong> Nach dem Online-Abschluss kann Ihre Ware im Gegensazu zum PostIdent-Verfahren sofort versendet werden!</li>
                            </ul>
                        {/s}
                    </div>
                {/block}
            </div>
        {/block}

        {* Instalment calculator *}
        {block name='mille_consors_finanz_frontend_detail_financing_calculator'}
            {if isset($milleConsorsFinanzCalculatorData)}
                <div id="financing--calculator">
                    <h4>Ratenrechner</h4>
                    <div class="financing--calculator-container"
                        data-min-month="{$milleConsorsFinanzCalculatorData.minMonth}"
                        data-max-month="{$milleConsorsFinanzCalculatorData.maxMonth}"
                        data-step-month="{$milleConsorsFinanzCalculatorData.stepMonth}"
                        data-interest-rate="{$milleConsorsFinanzCalculatorData.interestRate}"
                        data-campaign-duration="{$milleConsorsFinanzCalculatorData.campaignDuration}"
                        data-campaign-interest-rate="{$milleConsorsFinanzCalculatorData.campaignInterestRate}"
                        data-product-price="{$milleConsorsFinanzCalculatorData.productPrice}">

                        {* Content generated in detail.js *}
                    </div>
                </div>
            {/if}
        {/block}

        {* Installments table *}
        {block name='mille_consors_finanz_frontend_detail_financing_installments_table'}
            <table class="financing--installment-table">
                <thead>
                    <tr>
                        <th>{s name="MilleConsorsFinanzDetailInstallmentsTableDuration"}Laufzeit (in Monaten){/s}</th>
                        <th>{s name="MilleConsorsFinanzDetailInstallmentsTableRate"}Monatliche Rate{/s}</th>
                        <th>{s name="MilleConsorsFinanzDetailInstallmentsTableBorrowingRate"}Sollzins (jährlich, gebunden){/s}</th>
                        <th>{s name="MilleConsorsFinanzDetailInstallmentsTableInterestRate"}Effektiver Jahreszins{/s}</th>
                        <th>{s name="MilleConsorsFinanzDetailInstallmentsTableTotal"}Gesamtbetrag{/s}</th>
                    </tr>
                </thead>
                {foreach $milleConsorsFinanzInstallments as $installment}
                    <tr>
                        <td>{$installment.duration}</td>
                        <td>{$installment.installment|currency}</td>
                        <td>{$installment.borrowingRate|number_format:2:',':''} %</td>
                        <td>{$installment.interestRate|number_format:2:',':''} %</td>
                        <td>{$installment.totalAmount|currency}</td>
                    </tr>
                {/foreach}
            </table>
        {/block}

    </div>
{/block}