<?php

namespace MilleConsorsFinanz\Setup;

use Doctrine\DBAL\Connection;
use Shopware\Components\Plugin\Context\UpdateContext;

class Updater
{
    /**
     * @var UpdateContext
     */
    private $updateContext;

    /**
     * @var Connection
     */
    private $connection;

    /**
     * @param UpdateContext $updateContext
     * @param Connection $connection
     */
    public function __construct(
        UpdateContext $updateContext,
        Connection $connection
    ) {
        $this->updateContext = $updateContext;
        $this->connection = $connection;
    }

    public function update()
    {
        $currentVersion = $this->updateContext->getCurrentVersion();

        if (version_compare($currentVersion, '1.2.0', '<')) {
            $this->updateTo120();
        }
    }

    private function updateTo120()
    {
        $this->connection->executeQuery(
            "ALTER TABLE `mille_consors_finanz_settings`
                    ADD `financing_example_mode` VARCHAR(255) NULL;"
        );
    }
}
