<?php

namespace MilleConsorsFinanz\Struct;

class FinancingOption
{
    /**
     * @var float
     */
    private $installment;

    /**
     * @var float
     */
    private $totalAmount;

    /**
     * @var int
     */
    private $duration;

    /**
     * effektiver Jahreszins
     *
     * @var float
     */
    private $interestRate;

    /**
     * Sollzinssatz
     *
     * @var float
     */
    private $borrowingRate;

    /**
     * @return float
     */
    public function getInstallment(): float
    {
        return $this->installment;
    }

    /**
     * @param float $installment
     */
    public function setInstallment(float $installment)
    {
        $this->installment = $installment;
    }

    /**
     * @return float
     */
    public function getTotalAmount(): float
    {
        return $this->totalAmount;
    }

    /**
     * @param float $totalAmount
     */
    public function setTotalAmount(float $totalAmount)
    {
        $this->totalAmount = $totalAmount;
    }

    /**
     * @return int
     */
    public function getDuration(): int
    {
        return $this->duration;
    }

    /**
     * @param int $duration
     */
    public function setDuration(int $duration)
    {
        $this->duration = $duration;
    }

    /**
     * @return float
     */
    public function getInterestRate(): float
    {
        return $this->interestRate;
    }

    /**
     * @param float $interestRate
     */
    public function setInterestRate(float $interestRate)
    {
        $this->interestRate = $interestRate;
    }

    /**
     * @return float
     */
    public function getBorrowingRate(): float
    {
        return $this->borrowingRate;
    }

    /**
     * @param float $borrowingRate
     */
    public function setBorrowingRate(float $borrowingRate)
    {
        $this->borrowingRate = $borrowingRate;
    }

    /**
     * @return array
     */
    public function toArray(): array
    {
        return get_object_vars($this);
    }
}
