<?php

namespace MilleConsorsFinanz\Struct;

class Notification
{
    /**
     * @var string
     */
    private $transactionId;

    /**
     * @var string
     */
    private $uniqueId;

    /**
     * @var string
     */
    private $orderId;

    /**
     * @var string
     */
    private $signature;

    /**
     * @var string
     */
    private $status;

    /**
     * @var string
     */
    private $statusDetail;

    /**
     * @var int
     */
    private $duration;

    /**
     * @var float
     */
    private $creditAmount;

    /**
     * @var string
     */
    private $hash;

    /**
     * @return string
     */
    public function getTransactionId()
    {
        return $this->transactionId;
    }

    /**
     * @param string $transactionId
     */
    public function setTransactionId(string $transactionId)
    {
        $this->transactionId = $transactionId;
    }

    /**
     * @return string
     */
    public function getUniqueId()
    {
        return $this->uniqueId;
    }

    /**
     * @param string $uniqueId
     */
    public function setUniqueId(string $uniqueId)
    {
        $this->uniqueId = $uniqueId;
    }

    /**
     * @return string
     */
    public function getOrderId()
    {
        return $this->orderId;
    }

    /**
     * @param string $orderId
     */
    public function setOrderId(string $orderId)
    {
        $this->orderId = $orderId;
    }

    /**
     * @return string
     */
    public function getSignature()
    {
        return $this->signature;
    }

    /**
     * @param string $signature
     */
    public function setSignature(string $signature)
    {
        $this->signature = $signature;
    }

    /**
     * @return int
     */
    public function getDuration()
    {
        return $this->duration;
    }

    /**
     * @param int $duration
     */
    public function setDuration(int $duration)
    {
        $this->duration = $duration;
    }

    /**
     * @return float
     */
    public function getCreditAmount()
    {
        return $this->creditAmount;
    }

    /**
     * @param float $creditAmount
     */
    public function setCreditAmount(float $creditAmount)
    {
        $this->creditAmount = $creditAmount;
    }

    /**
     * @return string
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param string $status
     */
    public function setStatus(string $status)
    {
        $this->status = $status;
    }

    /**
     * @return string
     */
    public function getStatusDetail()
    {
        return $this->statusDetail;
    }

    /**
     * @param string $statusDetail
     */
    public function setStatusDetail(string $statusDetail)
    {
        $this->statusDetail = $statusDetail;
    }

    /**
     * @return string
     */
    public function getHash(): string
    {
        return $this->hash;
    }

    /**
     * @param string $hash
     */
    public function setHash(string $hash)
    {
        $this->hash = $hash;
    }

    /**
     * @return bool
     */
    public function isStatusSuccess(): bool
    {
        return $this->getStatus() == 'success';
    }

    /**
     * @return bool
     */
    public function isStatusError(): bool
    {
        return $this->getStatus() == 'error';
    }

    /**
     * @return bool
     */
    public function isStatusProposal(): bool
    {
        return $this->getStatus() == 'proposal';
    }

    /**
     * @return bool
     */
    public function isStatusAccepted(): bool
    {
        return $this->getStatus() == 'accepted';
    }

    /**
     * @return bool
     */
    public function isErrorStatusCancelled(): bool
    {
        return $this->getStatusDetail() == 'CANCELLED';
    }

    /**
     * @return bool
     */
    public function isErrorStatusTimeout(): bool
    {
        return $this->getStatusDetail() == 'TIMEOUT';
    }

    /**
     * @return bool
     */
    public function isErrorStatusDeclined(): bool
    {
        return $this->getStatusDetail() == 'DECLINED';
    }

    /**
     * @return bool
     */
    public function isErrorStatusBadRequest(): bool
    {
        return $this->getStatusDetail() == 'BAD_REQUEST';
    }

    /**
     * @return bool
     */
    public function hasTransactionId(): bool
    {
        return !empty($this->transactionId);
    }
}
