<?php

namespace MilleConsorsFinanz\Subscriber\Cron;

use Enlight\Event\SubscriberInterface;
use MilleConsorsFinanz\Components\Services\AbortedFinancingsCleanupService;

class CancelAbortedFinancings implements SubscriberInterface
{
    /**
     * @var AbortedFinancingsCleanupService
     */
    private $abortedFinancingsCleanupService;

    /**
     * @param AbortedFinancingsCleanupService $abortedFinancingsCleanupService
     */
    public function __construct(
        AbortedFinancingsCleanupService $abortedFinancingsCleanupService
    ) {
        $this->abortedFinancingsCleanupService = $abortedFinancingsCleanupService;
    }

    /**
     * {@inheritdoc}
     */
    public static function getSubscribedEvents(): array
    {
        return [
            'Shopware_CronJob_CancelAbortedFinancings' => 'cancelAbortedFinancings'
        ];
    }

    /**
     * @return bool
     */
    public function cancelAbortedFinancings(): bool
    {
        $this->abortedFinancingsCleanupService->cancelAbortedFinancingRequests();

        return true;
    }
}
