<?php
namespace MilleConsorsFinanzRK\Bootstrap;

class Installer
{
    /**
     * @var Attributes
     */
    private $attributes;
    /**
     * @var Database
     */
    private $database;

    /**
     * Installer constructor.
     * @param Attributes $attributes
     * @param Database   $database
     */
    public function __construct(Attributes $attributes, Database $database) {
        $this->attributes = $attributes;
        $this->database = $database;
    }

    public function install()
    {
        $this->attributes->install();
        $this->database->install();
    }

    public function uninstall()
    {
        $this->attributes->uninstall();
        $this->database->uninstall();
    }
}
