<?php
namespace MilleConsorsFinanzRK\Components\Consors\Request;

class ArtikelRequest
{
    /**
     * @var int $menge
     */
    protected $menge;

    /**
     * @var string $einheit
     */
    protected $einheit;

    /**
     * @var string $artikelnummer
     */
    protected $artikelnummer;

    /**
     * @var string $artikelbezeichnung
     */
    protected $artikelbezeichnung;

    /**
     * @var string $artikelzusatz
     */
    protected $artikelzusatz;

    /**
     * @var double $betrag
     */
    protected $betrag;

    /**
     * @var double $betrag_netto
     */
    protected $betrag_netto;

    /**
     * @var double $umsatzsteuersatz
     */
    protected $umsatzsteuersatz;

    /**
     * @var string $warengruppe
     */
    protected $warengruppe;

    /**
     * AddressRequest constructor.
     * @param $artikel
     */
    public function __construct(array $artikel)
    {
        $this->setParamData($artikel);
    }

    private function setParamData($artikel)
    {
        $this->setMenge($artikel['menge']);

        $einheit = $artikel['einheit'];
        if (null == $einheit) {
            $einheit = '';
        }

        $this->setEinheit($einheit);

        $this->setArtikelnummer($artikel['artikelnummer']);
        $this->setArtikelbezeichnung($artikel['artikelbezeichnung']);
        $this->setArtikelzusatz($artikel['artikelzusatz']);
        $this->setBetrag($artikel['betrag']);
        $this->setBetragNetto($artikel['betrag_netto']);
        $this->setUmsatzsteuersatz($artikel['umsatzsteuersatz']);
        $this->setWarengruppe($artikel['warengruppe']);
    }

    /**
     * @return string
     */
    public function getMenge()
    {
        return $this->menge;
    }

    /**
     * @param string $menge
     */
    public function setMenge($menge)
    {
        $this->menge = $menge;
    }

    /**
     * @return string
     */
    public function getEinheit()
    {
        return $this->einheit;
    }

    /**
     * @param string $einheit
     */
    public function setEinheit($einheit)
    {
        $this->einheit = $einheit;
    }

    /**
     * @return string
     */
    public function getArtikelnummer()
    {
        return $this->artikelnummer;
    }

    /**
     * @param string $artikelnummer
     */
    public function setArtikelnummer($artikelnummer)
    {
        $this->artikelnummer = $artikelnummer;
    }

    /**
     * @return string
     */
    public function getArtikelbezeichnung()
    {
        return $this->artikelbezeichnung;
    }

    /**
     * @param string $artikelbezeichnung
     */
    public function setArtikelbezeichnung($artikelbezeichnung)
    {
        $this->artikelbezeichnung = $artikelbezeichnung;
    }

    /**
     * @return string
     */
    public function getArtikelzusatz()
    {
        return $this->artikelzusatz;
    }

    /**
     * @param string $artikelzusatz
     */
    public function setArtikelzusatz($artikelzusatz)
    {
        $this->artikelzusatz = $artikelzusatz;
    }

    /**
     * @return float
     */
    public function getBetrag()
    {
        return $this->betrag;
    }

    /**
     * @param float $betrag
     */
    public function setBetrag($betrag)
    {
        $this->betrag = $betrag;
    }

    /**
     * @return double
     */
    public function getBetragNetto()
    {
        return $this->betrag_netto;
    }

    /**
     * @param float $betrag_netto
     */
    public function setBetragNetto($betrag_netto)
    {
        $this->betrag_netto = $betrag_netto;
    }

    /**
     * @return float
     */
    public function getUmsatzsteuersatz()
    {
        return $this->umsatzsteuersatz;
    }

    /**
     * @param float $umsatzsteuersatz
     */
    public function setUmsatzsteuersatz($umsatzsteuersatz)
    {
        $this->umsatzsteuersatz = $umsatzsteuersatz;
    }

    /**
     * @return string
     */
    public function getWarengruppe()
    {
        return $this->warengruppe;
    }

    /**
     * @param string $warengruppe
     */
    public function setWarengruppe($warengruppe)
    {
        $this->warengruppe = $warengruppe;
    }
}