<?php
namespace MilleConsorsFinanzRK\Components\Consors\Request;

class BelegPositionRequest
{
    /**
     * @var string $kundennummer
     */
    protected $kundennummer;

    /**
     * @var string $belegpositionsnummer
     */
    protected $belegpositionsnummer;

    /**
     * @var double $betrag
     */
    protected $betrag;

    /**
     * @var double $betrag_netto
     */
    protected $betrag_netto;

    /**
     * @var double $umsatzsteuersatz
     */
    protected $umsatzsteuersatz;

    /**
     * @var string $waehrung
     */
    protected $waehrung;

    /** @var ArtikelRequest[] $artikel */
    protected $artikel;

    /**
     * HeaderRequest constructor.
     * @param $position
     */
    public function __construct($position)
    {
        $this->setKundennummer($position['kundennummer']);
        $this->setBelegpositionsnummer($position['belegpositionsnummer']);
        $this->setBetrag($position['betrag']);
        $this->setBetragnetto($position['betrag_netto']);
        $this->setUmsatzsteuersatz($position['umsatzsteuersatz']);
        $this->setWaehrung($position['waehrung']);
        $this->setArtikel(new ArtikelRequest($position['artikel']));
    }

    /**
     * @return string
     */
    public function getKundennummer()
    {
        return $this->kundennummer;
    }

    /**
     * @param string $kundennummer
     */
    public function setKundennummer($kundennummer)
    {
        $this->kundennummer = $kundennummer;
    }

    /**
     * @return float
     */
    public function getBetrag()
    {
        return $this->betrag;
    }

    /**
     * @param float $betrag
     */
    public function setBetrag($betrag)
    {
        $this->betrag = $betrag;
    }

    /**
     * @return double
     */
    public function getBetragnetto()
    {
        return $this->betrag_netto;
    }

    /**
     * @param float $betrag_netto
     */
    public function setBetragnetto($betrag_netto)
    {
        $this->betrag_netto = $betrag_netto;
    }

    /**
     * @return string
     */
    public function getBelegpositionsnummer()
    {
        return $this->belegpositionsnummer;
    }

    /**
     * @param string $belegpositionsnummer
     */
    public function setBelegpositionsnummer($belegpositionsnummer)
    {
        $this->belegpositionsnummer = $belegpositionsnummer;
    }

    /**
     * @return float
     */
    public function getUmsatzsteuersatz()
    {
        return $this->umsatzsteuersatz;
    }

    /**
     * @param float $umsatzsteuersatz
     */
    public function setUmsatzsteuersatz($umsatzsteuersatz)
    {
        $this->umsatzsteuersatz = $umsatzsteuersatz;
    }

    /**
     * @param string $waehrung
     */
    public function setWaehrung($waehrung)
    {
        $this->waehrung = $waehrung;
    }

    /**
     * @return string
     */
    public function getWaehrung()
    {
        return $this->waehrung;
    }

    /**
     * @return ArtikelRequest[]
     */
    public function getArtikel(): array
    {
        return $this->artikel;
    }

    /**
     * @param ArtikelRequest $artikel
     */
    public function setArtikel(ArtikelRequest $artikel)
    {
        $this->artikel = $artikel;
    }
}