<?php
namespace MilleConsorsFinanzRK\Components\Consors\Request;

class MainAddressRequest
{
    /**
     * @var AddressRequest $adresse
     */
    protected $adresse;

    /**
     * @var string $zusatz
     */
    protected $zusatz;

    /**
     * @return AddressRequest
     */
    public function getAdresse(): AddressRequest
    {
        return $this->adresse;
    }

    /**
     * @param AddressRequest $adresse
     */
    public function setAdresse(AddressRequest $adresse)
    {
        $this->adresse = $adresse;
    }

    /**
     * MainAddressRequest constructor.
     * @param $mainAddress
     */
    public function __construct($mainAddress)
    {
        $this->setAdresse(new AddressRequest($mainAddress['adresse']));
        if ($mainAddress['zusatz']) {
            $this->setZusatz($mainAddress['zusatz']);
        }
    }

    /**
     * @return string
     */
    public function getZusatz()
    {
        return $this->zusatz;
    }

    /**
     * @param string $zusatz
     */
    public function setZusatz($zusatz)
    {
        $this->zusatz = $zusatz;
    }
}