<?php
namespace MilleConsorsFinanzRK\Components\Consors\Services;

use sOrder;
use MilleConsorsFinanzRK\Components\Consors\Api\ConsorsSoapClientFault;
use MilleConsorsFinanzRK\Components\Consors\Request\Order2Request;
use MilleConsorsFinanzRK\Components\Consors\Response\Order2Response;

class OrderService extends AbstractService
{
    /**
     * @param $anfrageart
     * @param $ordernumber
     * @param $shopId
     * @return mixed
     * @throws ConsorsSoapClientFault
     */
    public function order($anfrageart, $ordernumber, $shopId)
    {
        $request = $this->getParams($anfrageart, $ordernumber, $shopId);

        /** @var Order2Response $response */
        $response = $this->consorsApi->order2($request);
        return $response;
    }

    /**
     * @param $anfrageart
     * @param $ordernumber
     * @param $shopId
     * @return Order2Request
     */
    private function getParams($anfrageart, $ordernumber, $shopId)
    {
        $params = array_merge(
            $this->getDefaultParams($anfrageart, $shopId),
            $this->getOrderParams($ordernumber)
        );

        return new Order2Request($params);
    }

    /**
     * @param $ordernumber
     * @return \string[][]
     */
    private function getOrderParams($ordernumber)
    {
        return [
            'referenzen' => [
                'referenztyp' => 'bestellnummer',
                'referenzwert' => $ordernumber,
            ]
        ];
    }

    public function reserveOrdernumber()
    {
        $session = Shopware()->Session();
        if (empty($session['consorsPaymentReference'])) {
            $order = new sOrder();
            $session['consorsPaymentReference'] = $order->sGetOrderNumber();
        }
        return $session['consorsPaymentReference'];
    }

    /**
     * @param string $orderNumber
     */
    public function setClearedDate($orderNumber)
    {
        $builder = $this->modelManager->getConnection()->createQueryBuilder();
        $builder->update('s_order', 'o')
            ->set('o.cleareddate', 'NOW()')
            ->where('o.ordernumber = :orderNumber')
            ->setParameter(':orderNumber', $orderNumber)
            ->execute();
    }
}