<?php
namespace MilleConsorsFinanzRK\Components;

use Shopware\Bundle\StoreFrontBundle\Service\Core\ContextService;
use Shopware\Components\DependencyInjection\Container as DIContainer;

class DependencyProvider
{
    /**
     * @var DIContainer
     */
    private $container;

    /** @var ContextService */
    private $contextService = null;

    /**
     * DependencyProvider constructor.
     *
     * @param DIContainer $container
     */
    public function __construct(DIContainer $container)
    {
        $this->container = $container;
        $this->contextService = $this->container->get('shopware_storefront.context_service');
    }

    /**
     * {@inheritdoc}
     */
    public function getModules()
    {
        if (!$this->container->has('modules')) {
            return null;
        }

        return $this->container->get('modules');
    }

    /**
     * {@inheritdoc}
     */
    public function getBasket()
    {
        return $this->getModules()->Basket();
    }

    /**
     * {@inheritdoc}
     */
    public function getSession()
    {
        return $this->container->get('session');
    }

    /**
     * {@inheritdoc}
     */
    public function getUserId()
    {
        $customerId = (int)$this->getSession()->get('sUserId');
        return $customerId ?: 0;
    }

    /**
     * {@inheritdoc}
     */
    public function getShop()
    {
        if ($this->container->has('shop')) {
            return $this->container->get('shop');
        }

        return null;
    }
}
