<?php
namespace MilleConsorsFinanzRK\Components;

final class PaymentStatus
{
    /**
     * The default status for open orders
     */
    const PAYMENT_STATUS_OPEN = 17;

    /**
     * The default status for cancelled orders
     */
    const ORDER_STATUS_CLARIFICATION_REQUIRED = 8;

    const PAYMENT_STATE_REVIEW_NECESSARY = 21;

    /**
     * Job could not be found
     *
     * Auftrag konnte nicht gefunden werden
     */
    const JOB_NOT_FOUND = 1;
    /**
     * No order request has yet been carried out for this order process
     *
     * Für diesen Bestellvorgang wurde noch kein Order Request durchgeführt
     */
    const NO_ORDER_REQUEST_FOR_ORDER = 2;
    /**
     * Order number and user reference point to different orders
     *
     * Bestellnummer und Userreference zeigen auf unterschiedliche Bestellungen
     */
    const NO_MATCH_ORDER_NUMBER_AND_USER_REFERENCE = 3;
    /**
     * An order request has already been carried out for this order process
     *
     * Für diesen Bestellvorgang wurde bereits ein Order Request durchgeführt
     */
    const ORDER_PROCESS_ALREADY_ASSIGNED = 4;
    /**
     * Account number must not change between BoniCheck and Order Request
     *
     * Kontonummer darf sich zwischen BoniCheck und Order Request nicht ändern
     */
    const ACCOUNT_NUMBER_MUST_NOT_CHANGE = 5;
    /**
     * Order number already assigned
     *
     * Bestellnummer bereits vergeben
     */
    const ORDER_NUMBER_ALREADY_ASSIGNED = 6;
    /**
     * Reference has already been used
     *
     * Referenz wurde bereits verwendet
     */
    const REFERENCE_NUMBER_ALREADY_IN_USE = 7;
    /**
     * Invalid field content (parameter check)
     *
     * Ungültiger Feldinhalt (Parameterprüfung)
     */
    const INVALID_FIELD_CONTENT = 10;
    /**
     * Unknown code or wrong password
     *
     * Kennziffer unbekannt oder Passwort falsch
     */
    const UNKNOWN_CODE_OR_WRONG_PASSWORD = 11;
    /**
     * You can only use system type [SYSTEM]. Activation required
     *
     * Sie können nur Systemtyp [SYSTEM] verwenden. Freischaltung erforderlich
     */
    const YOU_CAN_ONLY_USE_SYSTEM_TYPE = 12;
    /**
     * Code number / IP address not released
     *
     * Kennziffer / IP Adresse nicht freigegeben
     */
    const CODE_NUMBER_OR_IP_NUMBER_NOT_RELEASED = 17;
    /**
     * Sign check failed, allowed signs
     *
     * Vorzeichen Prüfung fehlgeschlagen, erlaubte Vorzeichen
     */
    const SING_CHECK_FAILED = 99;
    /**
     * Internal error
     *
     * Interner Fehler
     */
    const INTERNAL_ERROR = 1000;
}
