<?php
require_once(__DIR__ . '/ConsorsFinanzBase.php');

use MilleConsorsFinanzRK\Components\Consors\Api\ConsorsSoapClientFault;
use MilleConsorsFinanzRK\Components\SettingsTable;

class Shopware_Controllers_Frontend_ConsorsFinanzDebit extends ConsorsFinanzBase
{
    /**
     * Check if everything is ok and proceed with payment
     *
     * @throws ConsorsSoapClientFault
     * @throws Exception
     */
    public function indexAction()
    {
        $this->loggerService->notify('Debit payment start');
        $this->gateway(SettingsTable::REQUEST_TYPE_DEBIT);
    }

    /**
     * @throws Exception
     */
    public function checkForDebitAction()
    {
        $this->Front()->Plugins()->ViewRenderer()->setNoRender();
        $this->Front()->Plugins()->Json()->setRenderer();
        $view = $this->View();

        $userID = (int)$this->dependencyProvider->getUserId();
        $agb = $this->Request()->getParam('agb');
        $birthday = $this->Request()->getParam('birthday');

        try {
            if (0 != $userID && $birthday && null !== $birthday) {
                $this->saveUserBirthday($userID, $birthday);
            }

            $this->dependencyProvider->getSession()->offsetSet('consorsAgbChecked', $agb);
            $data['status'] = self::STATUS_SUCCESS;
            $view->assign($data);
        } catch (Exception $exception) {
            $data['status'] = self::STATUS_ERROR;
            $this->loggerService->error($exception->getMessage());
            $view->assign($data);
        }
    }
}
