//{namespace name="backend/customer/view/detail"}
//{block name="backend/customer/view/detail/debit" append}
Ext.define('Shopware.apps.Customer.view.detail.ConsorsFinanzRK', {
    override: 'Shopware.apps.Customer.view.detail.Debit',

    initComponent: function () {
        var me = this;

        me.callParent(arguments);

        if (me.record.getPaymentData().first() == Ext.undefined) {
            return;
        }

        if (me.record.getPaymentData().first().get('name') === 'MilleConsorsFinanzRKDebit') {
            me.fieldContainer.show();
            me.ibanField.show();
            // me.accountHolderField.show();
            me.bicField.show();
        }
    },

    createDebitFormLeft: function () {
        var me = this;

        me.ibanField = Ext.create('Ext.form.field.Text', {
            name: 'paymentInstances[iban]',
            alias: 'iban',
            readOnly: true,
            anchor: '95%',
            labelStyle: 'font-weight: 700;',
            style: {
                margin: '0 0 10px'
            },
            labelWidth: 120,
            minWidth: 250,
            fieldLabel: 'IBAN'
        });

        return [me.ibanField];
    },

    createDebitFormRight: function () {
        var me = this;

        me.bicField = Ext.create('Ext.form.field.Text', {
            name: 'paymentInstances[bic]',
            alias: 'bic',
            readOnly: true,
            anchor: '95%',
            labelStyle: 'font-weight: 700;',
            style: {
                margin: '0 0 10px'
            },
            labelWidth: 120,
            minWidth: 250,
            fieldLabel: 'BIC'
        });
        return [me.bicField];
    }
});
//{/block}


