{namespace name='frontend/consors_finanz/checkout/messages'}
{block name='frontend_checkout_shipping_payment_consors_finanz_error'}
    <div class="consors-finanz--error">
        {if $wConsorsFinanzErrorCode == 2}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/no_order_request_for_order"}No order request has yet been carried out for this order process.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 3}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/no_match_order_number_and_user_reference"}The order number and the user reference point to different orders.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 4}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/order_process_already_assigned"}An order request has already been carried out for this order process.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 5}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/account_number_must_not_change"}The account number must not change between BoniCheck and Order Request.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 6}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/order_number_already_assigned"}The order number already assigned. Please proceed the payment again.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 7}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/reference_number_already_in_use"}The reference has already been used.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 10}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/invalid_field_content"}Invalid field content (parameter check).{/s}"}
        {elseif $wConsorsFinanzErrorCode == 22}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/agb_not_accepted"}You have to accept the terms and conditions for this payment method.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 23}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/no_birthdate"}Please enter your birthdate.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 24}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/no_payment_data"}Please enter your payment data.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 25 or $wConsorsFinanzErrorCode == 1054}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/invalid_age"}You must be at least 18 years old to order with Consors finanz.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 1000}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/internal_error"}An error occurred while processing the payment. Please try again later.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 1010}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/credit_rating_not_sufficient"}Credit rating not sufficient. Please select an alternative payment method.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 1020}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/value_too_high"}Unfortunately the requested order value is too high for this payment method. Please select an alternative payment method.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 1030}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/balance_exceeded"}Your account balance has exceeded. Please select an alternative payment method.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 1050}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/negative_features"}There are negative features. Please select an alternative payment method.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 1051}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/unknown_billing_address"}Schufa does not know you at the billing address. Please select an alternative payment method.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 1052}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/default"}Unfortunately, we are currently unable to offer you a purchase on invoice. Please select an alternative payment method.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 1056}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/invalid_delivery_address"}Delivery address invalid.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 1057}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/invalid_bank_account_number"}Bank account number not valid.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 1059}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/unknown_under_given_birthday"}Unknown under given birthday.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 1060}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/invalid_contact_data"}Invalid contact data.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 2000 or $wConsorsFinanzErrorCode == 2001}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/schufa_response_is_late"}SCHUFA response is late.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 2002}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/address_type_missing"}Address type HERR, FRAU, UNBEKANNT missing.{/s}"}
        {elseif $wConsorsFinanzErrorCode == 2003}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/external_agency_has_not_answered_request"}External Agency has not answered request.{/s}"}
        {else}
            {* Unknown error *}
            {include file='frontend/_includes/messages.tpl' type='error' content="{s name="error/unkown"}An unknown error occurred while processing the payment. Please try again later.{/s}"}
        {/if}

		{if $wConsorsFinanzErrorMessage}
            <div class="consors-finanz--error-message">
                <b>{s name="errorMessagePrefix"}Error message:{/s}</b> {$wConsorsFinanzErrorMessage} [{$wConsorsFinanzErrorName}]
            </div>
		{/if}
    </div>
{/block}
