{if $wConsorsFinanz.isActive && $wConsorsFinanz.isInvoiceActive && $payment_mean.class == "ConsorsFinanzInvoice"}
    {block name="frontend_plugins_payment_consors_finanz_invoice"}
        <div class="consors-finanz-invoice-form payment--form-group">
            {* A box for displaying general errors *}

            {block name="frontend_plugins_payment_consors_finanz_invoice_error_box"}
                <div class="consors-finanz-error-box alert is--error is--rounded is--hidden">
                    <div class="alert--icon">
                        <i class="icon--element icon--cross"></i>
                    </div>
                    <div class="alert--content error-content"></div>
                </div>
            {/block}

            {block name="frontend_plugins_payment_consors_finanz_invoice_form_group"}
                <div class="payment--form-group">
                    {if $wConsorsFinanz.birthday && $wConsorsFinanz.birthday != '0000-00-00'}
                        <input type="hidden" name="ConsorsFinanzInvoiceBirthdayHidden" value="{$wConsorsFinanz.birthday}">
                    {else}
                        <div class="register--birthdate">
                            <label for="invoice-birthday_day" class="birthday--label">Geburtsdatum {s name="RequiredField" namespace="frontend/register/index"}{/s}</label>
                            <div class="register--birthday field--select select-field">
                                <select
                                        id="invoice-birthday_day"
                                        name="ConsorsFinanzInvoiceBirthday[day]"
                                        {if $payment_mean.id == $form_data.payment}required="required" aria-required="true"{/if}
                                        class="consors-finanz-debit-birthday_day{if $payment_mean.id == $form_data.payment} is--required{/if}{if isset($error_flags.ConsorsFinanzDebitBirthday)} has--error{/if}">
                                    <option value="">{s name='RegisterBirthdaySelectDay' namespace="frontend/register/personal_fieldset"}{/s}</option>

                                    {for $day = 1 to 31}
                                        <option value="{$day}" {if $day == $form_data.ConsorsFinanzDebitBirthday.day}selected{/if}>{$day}</option>
                                    {/for}
                                </select>
                            </div>

                            <div class="register--birthmonth field--select select-field">
                                <select
                                        id="invoice-birthday_month"
                                        name="ConsorsFinanzInvoiceBirthday[month]"
                                        {if $payment_mean.id == $form_data.payment}required="required" aria-required="true"{/if}
                                        class="consors-finanz-invoice-birthday_month{if $payment_mean.id == $form_data.payment} is--required{/if}{if isset($error_flags.ConsorsFinanzDebitBirthday)} has--error{/if}">
                                    <option value="">{s name='RegisterBirthdaySelectMonth' namespace="frontend/register/personal_fieldset"}{/s}</option>

                                    {for $month = 1 to 12}
                                        <option value="{$month}" {if $month == $form_data.ConsorsFinanzDebitBirthday.month}selected{/if}>{$month}</option>
                                    {/for}
                                </select>
                            </div>

                            <div class="register--birthyear field--select select-field">
                                <select
                                        id="invoice-birthday_year"
                                        name="ConsorsFinanzInvoiceBirthday[year]"
                                        {if $payment_mean.id == $form_data.payment}required="required" aria-required="true"{/if}
                                        class="consors-finanz-invoice-birthday_year{if $payment_mean.id == $form_data.payment} is--required{/if}{if isset($error_flags.ConsorsFinanzDebitBirthday)} has--error{/if}">
                                    <option{if $form_data.ConsorsFinanzDebitBirthday.year} disabled="disabled"{/if} value="">{s name='RegisterBirthdaySelectYear' namespace="frontend/register/personal_fieldset"}{/s}</option>

                                    {for $year = date("Y") to date("Y")-120 step=-1}
                                        <option value="{$year}" {if $year == $form_data.ConsorsFinanzDebitBirthday.year}selected{/if}>{$year}</option>
                                    {/for}
                                </select>
                            </div>
                        </div>
                    {/if}

                    {if $wConsorsFinanz.phone}
                        <input type="hidden" name="ConsorsFinanzInvoicePhone" value="{$wConsorsFinanz.phone}">
                    {else}
                        <input name="ConsorsFinanzInvoicePhone"
                               type="text"
                               id="invoice-phone"
                               placeholder="Mobilnummer *"
                               value="{if $form_data.ConsorsFinanzInvoicePhone}{$form_data.ConsorsFinanzInvoicePhone|escape}{/if}"
                               {if $payment_mean.id == $form_data.payment}required="required" aria-required="true"{/if}
                               class="consors-finanz-invoice-phone payment--field{if $payment_mean.id == $form_data.payment} is--required{/if}{if $error_flags.ConsorsFinanzInvoicePhone} has--error{/if}" />
                    {/if}

                    <input name="ConsorsFinanzInvoiceAgb"
                           class="consors-finanz-invoice-agb{if $payment_mean.id == $form_data.payment} is--required{/if} {if $wConsorsFinanzErrorCode || $error_flags.ConsorsFinanzInvoiceAgb} has--error{/if}"
                           type="checkbox"
                           value="true"
                           id="invoice-agb"
                           {if $payment_mean.id == $form_data.payment}required="required" aria-required="true"{/if}
                            {if $wConsorsFinanz.consorsAgbChecked}
                                checked="checked"
                            {/if}
                           />
                    Ich akzeptiere die <a href="https://www.consorsfinanz.de/popups/agb-paylater" title="Consors Finanz AGB" target="_blank"><span style="text-decoration:underline;">Allgemeinen Geschäftsbedingungen (AGB)</span></a> für Kauf auf Rechnung sowie Kauf per Lastschrift von Consors Finanz.<sup>1*</sup>

                    {include file="frontend/consors_finanz/checkout/payment/privacy.tpl"}

                </div>
            {/block}

            {* A box for displaying validation errors *}
            {block name="frontend_plugins_payment_consors_finanz_invoice_validation_box"}
                <div class="consors-finanz-validation-error-box alert is--error is--rounded is--hidden">
                    <div class="alert--icon">
                        <i class="icon--element icon--cross"></i>
                    </div>
                    <div class="alert--content error-content"></div>
                </div>
            {/block}

            {include file="frontend/consors_finanz/checkout/payment/footer.tpl"}
        </div>
    {/block}
{/if}
