<?php
namespace MilleConsorsFinanzRK\Subscriber\Backend;

use Enlight\Event\SubscriberInterface;
use Enlight_Event_EventArgs;
use Enlight_View_Default;

class Customer implements SubscriberInterface
{
    public static function getSubscribedEvents()
    {
        return [
            'Enlight_Controller_Action_PostDispatchSecure_Backend_Customer' => ['onBackendCustomerPostDispatch']
        ];
    }

    /**
     * Called when the BackendCustomerPostDispatch Event is triggered
     * @param Enlight_Event_EventArgs $args
     */
    public function onBackendCustomerPostDispatch(Enlight_Event_EventArgs $args)
    {
        /** @var Enlight_View_Default $view */
        $view = $args->getSubject()->View();

        // If the controller action name equals "load" we have to load all application components
        if ($args->getRequest()->getActionName() === 'load') {
            $view->extendsTemplate('backend/customer/consors_finanz_rk/controller/detail.js');
            $view->extendsTemplate('backend/customer/consors_finanz_rk/view/detail/consors_finanz_rk.js');
        }
    }
}