<?php
namespace MilleConsorsFinanzRK\Subscriber\Backend;

use Enlight\Event\SubscriberInterface;
use Enlight_Event_EventArgs;
use Enlight_View_Default;

class Order implements SubscriberInterface
{
    public static function getSubscribedEvents()
    {
        return [
            'Enlight_Controller_Action_PostDispatchSecure_Backend_Order' => ['onBackendOrderPostDispatch']
        ];
    }

    /**
     * Called when the BackendOrderPostDispatch Event is triggered
     * @param Enlight_Event_EventArgs $args
     */
    public function onBackendOrderPostDispatch(Enlight_Event_EventArgs $args)
    {
        $controller = $args->getSubject();

        /** @var Enlight_View_Default $view */
        $view = $controller->View();
        $request = $controller->Request();

        switch ($request->getActionName()) {
            case 'load':
                $view->extendsTemplate('backend/order/consors_finanz_rk/controller/detail.js');
                $view->extendsTemplate('backend/order/consors_finanz_rk/view/detail/consors_finanz_rk.js');
            break;
        }
    }
}