<?php
namespace MilleConsorsFinanzRK\Subscriber\ControllerRegistration;

use Enlight\Event\SubscriberInterface;

class Frontend implements SubscriberInterface
{
    /**
     * @var string
     */
    private $pluginDirectory;

    /**
     * @param string $pluginDirectory
     */
    public function __construct($pluginDirectory)
    {
        $this->pluginDirectory = $pluginDirectory;
    }

    /**
     * {@inheritdoc}
     */
    public static function getSubscribedEvents()
    {
        return [
            'Enlight_Controller_Dispatcher_ControllerPath_Frontend_ConsorsFinanz' => 'onGetConsorsFinanzControllerPath',
            'Enlight_Controller_Dispatcher_ControllerPath_Frontend_ConsorsFinanzDebit' => 'onGetConsorsFinanzDebitControllerPath',
            'Enlight_Controller_Dispatcher_ControllerPath_Frontend_ConsorsFinanzInvoice' => 'onGetConsorsFinanzInvoiceControllerPath',
        ];
    }

    /**
     * Handles the Enlight_Controller_Dispatcher_ControllerPath_Frontend_ConsorsFinanzInvoice event.
     * Returns the path to the frontend controller.
     *
     * @return string
     */
    public function onGetConsorsFinanzControllerPath()
    {
        return $this->pluginDirectory . '/Controllers/Frontend/ConsorsFinanz.php';
    }

    /**
     * Handles the Enlight_Controller_Dispatcher_ControllerPath_Frontend_ConsorsFinanzInvoice event.
     * Returns the path to the frontend controller.
     *
     * @return string
     */
    public function onGetConsorsFinanzInvoiceControllerPath()
    {
        return $this->pluginDirectory . '/Controllers/Frontend/ConsorsFinanzInvoice.php';
    }

    /**
     * Handles the Enlight_Controller_Dispatcher_ControllerPath_Frontend_ConsorsFinanzDebit event.
     * Returns the path to the installments controller.
     *
     * @return string
     */
    public function onGetConsorsFinanzDebitControllerPath()
    {
        return $this->pluginDirectory . '/Controllers/Frontend/ConsorsFinanzDebit.php';
    }
}
