<?php
namespace MilleConsorsFinanzRK\Subscriber;

use Enlight\Event\SubscriberInterface;
use Enlight_Event_EventArgs;

class PaymentClass implements SubscriberInterface
{
    /**
     * @var string
     */
    private $pluginDir;

    /**
     * PaymentClass constructor.
     * @param $pluginDir
     */
    public function __construct($pluginDir)
    {
        $this->pluginDir = $pluginDir;
    }

    public static function getSubscribedEvents()
    {
        return [
            'Shopware_Modules_Admin_InitiatePaymentClass_AddClass' => ['addPaymentClass']
        ];
    }

    /**
     * This method registers shopware's generic payment method handler
     * and the debit payment method handler
     *
     * @param Enlight_Event_EventArgs $args
     *
     * @return array
     */
    public function addPaymentClass(\Enlight_Event_EventArgs $args)
    {
        $dirs = $args->getReturn();
        $dirs['ConsorsFinanzInvoice'] = 'MilleConsorsFinanzRK\\Components\\PaymentMethods\\Invoice';
        $dirs['ConsorsFinanzDebit'] = 'MilleConsorsFinanzRK\\Components\\PaymentMethods\\Debit';
        $args->setReturn($dirs);
    }
}