<?php
/**
 * (c) shopware AG <info@shopware.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

use SwagPaymentPayPalUnified\Components\PaymentMethodProvider;

return [
    'activeBillingAddressId' => '5',
    'activeShippingAddressId' => '5',
    'sUserData' => [
        'billingaddress' => [
            'id' => 5,
            'company' => null,
            'department' => null,
            'salutation' => 'mr',
            'firstname' => 'TestFirstName',
            'title' => null,
            'lastname' => 'TestLastName',
            'street' => 'Ebbinghoff 10',
            'zipcode' => '48624',
            'city' => 'Schöppingen',
            'phone' => null,
            'vatId' => null,
            'additionalAddressLine1' => null,
            'additionalAddressLine2' => null,
            'countryId' => 2,
            'stateId' => null,
            'customer' => [
                'id' => 3,
            ],
            'country' => [
                'id' => 2,
            ],
            'state' => null,
            'userID' => 3,
            'countryID' => 2,
            'stateID' => null,
            'ustid' => null,
            'additional_address_line1' => null,
            'additional_address_line2' => null,
            'attributes' => [
                'id' => '1',
                'address_id' => '5',
                'text1' => null,
                'text2' => null,
                'text3' => null,
                'text4' => null,
                'text5' => null,
                'text6' => null,
            ],
        ],
        'additional' => [
            'country' => [
                'id' => '2',
                'countryname' => 'Deutschland',
                'countryiso' => 'DE',
                'areaID' => '1',
                'countryen' => 'GERMANY',
                'position' => '1',
                'notice' => '',
                'taxfree' => '0',
                'taxfree_ustid' => '0',
                'taxfree_ustid_checked' => '0',
                'active' => '1',
                'iso3' => 'DEU',
                'display_state_in_registration' => '0',
                'force_state_in_registration' => '0',
                'countryarea' => 'deutschland',
            ],
            'state' => [],
            'user' => [
                'id' => '3',
                'userID' => '3',
                'password' => '$2y$10$WTRbAOHeW9zUo0YAIUdVjuwevo7ynj6J75kPalp3WHmIYma2w8syW',
                'encoder' => 'bcrypt',
                'email' => 'buyer@shopware.com',
                'active' => '1',
                'accountmode' => '0',
                'confirmationkey' => '',
                'paymentID' => '8',
                'firstlogin' => '2017-11-08',
                'lastlogin' => '2017-11-10 13:36:45',
                'sessionID' => '623i9rdh9ijbtv13kav0fp6mig',
                'newsletter' => 0,
                'validation' => '',
                'affiliate' => '0',
                'customergroup' => 'EK',
                'paymentpreset' => '0',
                'language' => '1',
                'subshopID' => '1',
                'referer' => '',
                'pricegroupID' => null,
                'internalcomment' => '',
                'failedlogins' => '0',
                'lockeduntil' => null,
                'default_billing_address_id' => '5',
                'default_shipping_address_id' => '5',
                'title' => null,
                'salutation' => 'mr',
                'firstname' => 'TestFirstName',
                'lastname' => 'TestLastName',
                'birthday' => null,
                'customernumber' => '20005',
                'login_token' => '1d86dded-dbc4-40e3-9f39-cf919c71e6ce.1',
            ],
            'countryShipping' => [
                'id' => '2',
                'countryname' => 'Deutschland',
                'countryiso' => 'DE',
                'areaID' => '1',
                'countryen' => 'GERMANY',
                'position' => '1',
                'notice' => '',
                'taxfree' => '0',
                'taxfree_ustid' => '0',
                'taxfree_ustid_checked' => '0',
                'active' => '1',
                'iso3' => 'DEU',
                'display_state_in_registration' => '0',
                'force_state_in_registration' => '0',
                'countryarea' => 'deutschland',
            ],
            'stateShipping' => [],
            'payment' => [
                'id' => '7',
                'name' => PaymentMethodProvider::PAYPAL_UNIFIED_PAYMENT_METHOD_NAME,
                'description' => 'PayPal',
                'template' => '',
                'class' => '',
                'table' => '',
                'hide' => '0',
                'additionaldescription' => 'Logo \'PayPal empfohlen\'
Bezahlung per PayPal - einfach, schnell und sicher.',
                'debit_percent' => '0',
                'surcharge' => '0',
                'surchargestring' => '',
                'position' => '0',
                'active' => '1',
                'esdactive' => '0',
                'embediframe' => '',
                'hideprospect' => '0',
                'action' => 'PaypalUnified',
                'pluginID' => null,
                'source' => null,
                'mobile_inactive' => '0',
            ],
        ],
        'shippingaddress' => [
            'id' => 5,
            'company' => null,
            'department' => null,
            'salutation' => 'mr',
            'firstname' => 'TestFirstName',
            'title' => null,
            'lastname' => 'TestLastName',
            'street' => 'Ebbinghoff 10',
            'zipcode' => '48624',
            'city' => 'Schöppingen',
            'phone' => null,
            'vatId' => null,
            'additionalAddressLine1' => null,
            'additionalAddressLine2' => null,
            'countryId' => 2,
            'stateId' => null,
            'customer' => [
                'id' => 3,
            ],
            'country' => [
                'id' => 2,
            ],
            'state' => null,
            'userID' => 3,
            'countryID' => 2,
            'stateID' => null,
            'ustid' => null,
            'additional_address_line1' => null,
            'additional_address_line2' => null,
            'attributes' => [
                'id' => '1',
                'address_id' => '5',
                'text1' => null,
                'text2' => null,
                'text3' => null,
                'text4' => null,
                'text5' => null,
                'text6' => null,
            ],
        ],
    ],
    'userInfo' => [
        'firstname' => 'TestFirstName',
        'lastname' => 'TestLastName',
        'email' => 'buyer@shopware.com',
        'salutation' => 'mr',
        'title' => null,
        'birthday' => null,
        'accountmode' => '0',
    ],
    'sUserLoggedIn' => true,
    'sAction' => 'payment',
    'sPaymentMeans' => [
        1 => [
            'id' => '7',
            'name' => PaymentMethodProvider::PAYPAL_UNIFIED_PAYMENT_METHOD_NAME,
            'description' => 'PayPal',
            'template' => '',
            'class' => '',
            'table' => '',
            'hide' => '0',
            'additionaldescription' => 'Logo \'PayPal empfohlen\'
Bezahlung per PayPal - einfach, schnell und sicher.',
            'debit_percent' => '0',
            'surcharge' => '0',
            'surchargestring' => '',
            'position' => '0',
            'active' => '1',
            'esdactive' => '0',
            'embediframe' => '',
            'hideprospect' => '0',
            'action' => 'PaypalUnified',
            'pluginID' => null,
            'source' => null,
            'mobile_inactive' => '0',
        ],
        3 => [
            'id' => '5',
            'name' => 'prepayment',
            'description' => 'Vorkasse',
            'template' => 'prepayment.tpl',
            'class' => 'prepayment.php',
            'table' => '',
            'hide' => '0',
            'additionaldescription' => 'Sie zahlen einfach vorab und erhalten die Ware bequem und günstig bei Zahlungseingang nach Hause geliefert.',
            'debit_percent' => '0',
            'surcharge' => '0',
            'surchargestring' => '',
            'position' => '1',
            'active' => '1',
            'esdactive' => '0',
            'embediframe' => '',
            'hideprospect' => '0',
            'action' => null,
            'pluginID' => null,
            'source' => null,
            'mobile_inactive' => '0',
        ],
        4 => [
            'id' => '3',
            'name' => 'cash',
            'description' => 'Nachnahme',
            'template' => 'cash.tpl',
            'class' => 'cash.php',
            'table' => '',
            'hide' => '0',
            'additionaldescription' => '(zzgl. 2,00 Euro Nachnahmegebühren)',
            'debit_percent' => '0',
            'surcharge' => '0',
            'surchargestring' => '',
            'position' => '2',
            'active' => '1',
            'esdactive' => '0',
            'embediframe' => '',
            'hideprospect' => '0',
            'action' => null,
            'pluginID' => null,
            'source' => null,
            'mobile_inactive' => '0',
        ],
        5 => [
            'id' => '4',
            'name' => 'invoice',
            'description' => 'Rechnung',
            'template' => 'invoice.tpl',
            'class' => 'invoice.php',
            'table' => '',
            'hide' => '0',
            'additionaldescription' => 'Sie zahlen einfach und bequem auf Rechnung. Shopware bietet z.B. auch die Möglichkeit, Rechnung automatisiert erst ab der 2. Bestellung für Kunden zur Verfügung zu stellen, um Zahlungsausfälle zu vermeiden.',
            'debit_percent' => '0',
            'surcharge' => '5',
            'surchargestring' => '',
            'position' => '3',
            'active' => '1',
            'esdactive' => '1',
            'embediframe' => '',
            'hideprospect' => '0',
            'action' => '',
            'pluginID' => null,
            'source' => null,
            'mobile_inactive' => '0',
        ],
        7 => [
            'id' => '6',
            'name' => 'sepa',
            'description' => 'SEPA',
            'template' => 'sepa.tpl',
            'class' => 'sepa',
            'table' => '',
            'hide' => '0',
            'additionaldescription' => 'SEPA Lastschrift',
            'debit_percent' => '0',
            'surcharge' => '0',
            'surchargestring' => '',
            'position' => '5',
            'active' => '1',
            'esdactive' => '1',
            'embediframe' => '',
            'hideprospect' => '0',
            'action' => '',
            'pluginID' => null,
            'source' => null,
            'mobile_inactive' => '0',
        ],
    ],
    'sFormData' => [
        'payment' => '8',
    ],
    'sTarget' => 'account',
    'sTargetAction' => 'index',
];
